
package com.chinaitop.depot.intelligent.wsClientJc.jc2;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.chinaitop.depot.intelligent.wsClientJc.jc2 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _String_QNAME = new QName("http://tempuri.org/", "string");
    private final static QName _Int_QNAME = new QName("http://tempuri.org/", "int");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.chinaitop.depot.intelligent.wsClientJc.jc2
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetMeasureStatus }
     * 
     */
    public GetMeasureStatus createGetMeasureStatus() {
        return new GetMeasureStatus();
    }

    /**
     * Create an instance of {@link DelBaseDATA }
     * 
     */
    public DelBaseDATA createDelBaseDATA() {
        return new DelBaseDATA();
    }

    /**
     * Create an instance of {@link OpenNearLight }
     * 
     */
    public OpenNearLight createOpenNearLight() {
        return new OpenNearLight();
    }

    /**
     * Create an instance of {@link StartServiceResponse }
     * 
     */
    public StartServiceResponse createStartServiceResponse() {
        return new StartServiceResponse();
    }

    /**
     * Create an instance of {@link OpenFarLight }
     * 
     */
    public OpenFarLight createOpenFarLight() {
        return new OpenFarLight();
    }

    /**
     * Create an instance of {@link AllView }
     * 
     */
    public AllView createAllView() {
        return new AllView();
    }

    /**
     * Create an instance of {@link StopScanResponse }
     * 
     */
    public StopScanResponse createStopScanResponse() {
        return new StopScanResponse();
    }

    /**
     * Create an instance of {@link CloseYushuaResponse }
     * 
     */
    public CloseYushuaResponse createCloseYushuaResponse() {
        return new CloseYushuaResponse();
    }

    /**
     * Create an instance of {@link GetAngleFromDevResponse }
     * 
     */
    public GetAngleFromDevResponse createGetAngleFromDevResponse() {
        return new GetAngleFromDevResponse();
    }

    /**
     * Create an instance of {@link GetOnlineZhuji }
     * 
     */
    public GetOnlineZhuji createGetOnlineZhuji() {
        return new GetOnlineZhuji();
    }

    /**
     * Create an instance of {@link CloseLightResponse }
     * 
     */
    public CloseLightResponse createCloseLightResponse() {
        return new CloseLightResponse();
    }

    /**
     * Create an instance of {@link GetOnlineZhujiResponse }
     * 
     */
    public GetOnlineZhujiResponse createGetOnlineZhujiResponse() {
        return new GetOnlineZhujiResponse();
    }

    /**
     * Create an instance of {@link DebugAlarmResponse }
     * 
     */
    public DebugAlarmResponse createDebugAlarmResponse() {
        return new DebugAlarmResponse();
    }

    /**
     * Create an instance of {@link CloseYushua }
     * 
     */
    public CloseYushua createCloseYushua() {
        return new CloseYushua();
    }

    /**
     * Create an instance of {@link GetScanResultResponse }
     * 
     */
    public GetScanResultResponse createGetScanResultResponse() {
        return new GetScanResultResponse();
    }

    /**
     * Create an instance of {@link GetOnlineShebei }
     * 
     */
    public GetOnlineShebei createGetOnlineShebei() {
        return new GetOnlineShebei();
    }

    /**
     * Create an instance of {@link GetScanWeightResponse }
     * 
     */
    public GetScanWeightResponse createGetScanWeightResponse() {
        return new GetScanWeightResponse();
    }

    /**
     * Create an instance of {@link SetBaseDATA }
     * 
     */
    public SetBaseDATA createSetBaseDATA() {
        return new SetBaseDATA();
    }

    /**
     * Create an instance of {@link DebugAlarm }
     * 
     */
    public DebugAlarm createDebugAlarm() {
        return new DebugAlarm();
    }

    /**
     * Create an instance of {@link GetScanResult }
     * 
     */
    public GetScanResult createGetScanResult() {
        return new GetScanResult();
    }

    /**
     * Create an instance of {@link AllViewResponse }
     * 
     */
    public AllViewResponse createAllViewResponse() {
        return new AllViewResponse();
    }

    /**
     * Create an instance of {@link GetDebugMessage }
     * 
     */
    public GetDebugMessage createGetDebugMessage() {
        return new GetDebugMessage();
    }

    /**
     * Create an instance of {@link HelloWorldResponse }
     * 
     */
    public HelloWorldResponse createHelloWorldResponse() {
        return new HelloWorldResponse();
    }

    /**
     * Create an instance of {@link GetDebugMessageResponse }
     * 
     */
    public GetDebugMessageResponse createGetDebugMessageResponse() {
        return new GetDebugMessageResponse();
    }

    /**
     * Create an instance of {@link GetScanWeight }
     * 
     */
    public GetScanWeight createGetScanWeight() {
        return new GetScanWeight();
    }

    /**
     * Create an instance of {@link OpenYushuaResponse }
     * 
     */
    public OpenYushuaResponse createOpenYushuaResponse() {
        return new OpenYushuaResponse();
    }

    /**
     * Create an instance of {@link DebugGetStore }
     * 
     */
    public DebugGetStore createDebugGetStore() {
        return new DebugGetStore();
    }

    /**
     * Create an instance of {@link StartScanResponse }
     * 
     */
    public StartScanResponse createStartScanResponse() {
        return new StartScanResponse();
    }

    /**
     * Create an instance of {@link DelBaseDATAResponse }
     * 
     */
    public DelBaseDATAResponse createDelBaseDATAResponse() {
        return new DelBaseDATAResponse();
    }

    /**
     * Create an instance of {@link GetOnlineShebeiResponse }
     * 
     */
    public GetOnlineShebeiResponse createGetOnlineShebeiResponse() {
        return new GetOnlineShebeiResponse();
    }

    /**
     * Create an instance of {@link GetMeasureStatusResponse }
     * 
     */
    public GetMeasureStatusResponse createGetMeasureStatusResponse() {
        return new GetMeasureStatusResponse();
    }

    /**
     * Create an instance of {@link OpenNearLightResponse }
     * 
     */
    public OpenNearLightResponse createOpenNearLightResponse() {
        return new OpenNearLightResponse();
    }

    /**
     * Create an instance of {@link StopScan }
     * 
     */
    public StopScan createStopScan() {
        return new StopScan();
    }

    /**
     * Create an instance of {@link WriteAngleToDev }
     * 
     */
    public WriteAngleToDev createWriteAngleToDev() {
        return new WriteAngleToDev();
    }

    /**
     * Create an instance of {@link StartScan }
     * 
     */
    public StartScan createStartScan() {
        return new StartScan();
    }

    /**
     * Create an instance of {@link WriteAngleToDevResponse }
     * 
     */
    public WriteAngleToDevResponse createWriteAngleToDevResponse() {
        return new WriteAngleToDevResponse();
    }

    /**
     * Create an instance of {@link HelloWorld }
     * 
     */
    public HelloWorld createHelloWorld() {
        return new HelloWorld();
    }

    /**
     * Create an instance of {@link CloseLight }
     * 
     */
    public CloseLight createCloseLight() {
        return new CloseLight();
    }

    /**
     * Create an instance of {@link SetBaseDATAResponse }
     * 
     */
    public SetBaseDATAResponse createSetBaseDATAResponse() {
        return new SetBaseDATAResponse();
    }

    /**
     * Create an instance of {@link StartService }
     * 
     */
    public StartService createStartService() {
        return new StartService();
    }

    /**
     * Create an instance of {@link StopServiceResponse }
     * 
     */
    public StopServiceResponse createStopServiceResponse() {
        return new StopServiceResponse();
    }

    /**
     * Create an instance of {@link DebugGetStoreResponse }
     * 
     */
    public DebugGetStoreResponse createDebugGetStoreResponse() {
        return new DebugGetStoreResponse();
    }

    /**
     * Create an instance of {@link OpenYushua }
     * 
     */
    public OpenYushua createOpenYushua() {
        return new OpenYushua();
    }

    /**
     * Create an instance of {@link OpenFarLightResponse }
     * 
     */
    public OpenFarLightResponse createOpenFarLightResponse() {
        return new OpenFarLightResponse();
    }

    /**
     * Create an instance of {@link GetAngleFromDev }
     * 
     */
    public GetAngleFromDev createGetAngleFromDev() {
        return new GetAngleFromDev();
    }

    /**
     * Create an instance of {@link StopService }
     * 
     */
    public StopService createStopService() {
        return new StopService();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/", name = "string")
    public JAXBElement<String> createString(String value) {
        return new JAXBElement<String>(_String_QNAME, String.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Integer }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://tempuri.org/", name = "int")
    public JAXBElement<Integer> createInt(Integer value) {
        return new JAXBElement<Integer>(_Int_QNAME, Integer.class, null, value);
    }

}
